Summary:        PEAR: Open-Xchange Connector

Name:           php-pear-Horde-OpenXchange
Version:        1.0.0
Release:        1.lux.1
License:        LGPLv2.1
Group:          Development/Libraries/PHP
Source0:        http://pear.horde.org/get/Horde_OpenXchange-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/Horde_OpenXchange
BuildRequires:	php-pear >= 1.7.0
BuildRequires:  php-pear-channel-horde
Requires:       php-pear-channel-horde
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Date >= 2.0.0
Requires:	php-pear-Horde-Date <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Date = 3.0.0alpha1
Requires:	php-pear-Horde-Http >= 2.0.0
Requires:	php-pear-Horde-Http <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Http = 3.0.0alpha1
Requires:	php-pear-Horde-Perms >= 2.0.0
Requires:	php-pear-Horde-Perms <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Perms = 3.0.0alpha1
Requires:	php-pear-Horde-Url >= 2.0.0
Requires:	php-pear-Horde-Url <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Url = 3.0.0alpha1
BuildArch:      noarch
%define pear_name  Horde_OpenXchange
%define pear_sname horde_openxchange
# Fix for renaming (package convention)
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
Library to interact with Open-Xchange servers

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
[ -d %{buildroot}/%{_docdir}/%{pear_name} ] && mv %{buildroot}/%{_docdir}/%{pear_name} %{buildroot}/%{_docdir}/%{name}-%{version}
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{pear_phpdir}/.filemap
rm %{buildroot}/%{pear_phpdir}/.lock
rm -rf %{buildroot}/%{pear_phpdir}/.registry
rm -rf %{buildroot}%{pear_phpdir}/.channels
rm %{buildroot}%{pear_phpdir}/.depdb
rm %{buildroot}%{pear_phpdir}/.depdblock

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{pear_xmldir}/Horde_OpenXchange.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/Horde_OpenXchange.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_OpenXchange
fi

%files
%defattr(-,root,root)
#%doc %{_docdir}/%{name}-%{version}
#%{pear_phpdir}/data/%{pear_name}
#%{pear_phpdir}/test/%{pear_name}
%{pear_phpdir}/Horde/*
%{pear_xmldir}/Horde_OpenXchange.xml

%changelog
